JoinNewServiceImpl (gCube Join New Portlet 2.1.0-SNAPSHOT API)
Date: 2015-02-13

org.gcube.portlets.user.joinnew.server

## Class JoinNewServiceImpl

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
      - - com.google.gwt.user.server.rpc.RemoteServiceServlet
        - - org.gcube.portlets.user.joinnew.server.JoinNewServiceImpl

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.RemoteService, com.google.gwt.user.server.rpc.SerializationPolicyProvider, Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, JoinNewService

      public class JoinNewServiceImpl
      extends com.google.gwt.user.server.rpc.RemoteServiceServlet
      implements JoinNewService

  The server side implementation of the RPC service.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CACHED_VOS`
    `String` | `SELECTED_THEMEID`

    - ### Fields inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `perThreadRequest, perThreadResponse`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JoinNewServiceImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMembershipRequest(String scope, String optionalMessage)` addMembershipRequest
    `ArrayList<VO>` | `getInfrastructureVOs()` first method called by the UI
    `VO` | `getRootVO()` return the root org
    `ResearchEnvironment` | `getSelectedRE()` return the current selected VRE
    `Boolean` | `isLayoutLoaded()` the first method to call
    `void` | `loadLayout(String scope, String URL)`
    `boolean` | `registerUser(String scope, long organizationid)` register the user to the VRE and in the HL Group, plus send notifications to the vre manages of the vre

    - ### Methods inherited from class com.google.gwt.user.server.rpc.RemoteServiceServlet

      `checkPermutationStrongName, doGetSerializationPolicy, getSerializationPolicy, onAfterResponseSerialized, onBeforeRequestDeserialized, processCall, processPost, shouldCompressResponse`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `doPost, doUnexpectedFailure, getPermutationStrongName, getThreadLocalRequest, getThreadLocalResponse, onAfterRequestDeserialized, readContent`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CACHED_VOS

          public static final String CACHED_VOS

      See Also:
        Constant Field Values

    - #### SELECTED_THEMEID

          public String SELECTED_THEMEID

  - ### Constructor Detail

    - #### JoinNewServiceImpl

          public JoinNewServiceImpl()

  - ### Method Detail

    - #### registerUser

          public boolean registerUser(String scope,
                             long organizationid)

      register the user to the VRE and in the HL Group, plus send notifications to the vre manages of the vre
      Specified by:
        `registerUser` in interface `JoinNewService`

    - #### getInfrastructureVOs

          public ArrayList<VO> getInfrastructureVOs()

      first method called by the UI
      Specified by:
        `getInfrastructureVOs` in interface `JoinNewService`

    - #### addMembershipRequest

          public void addMembershipRequest(String scope,
                                  String optionalMessage)

      addMembershipRequest
      Specified by:
        `addMembershipRequest` in interface `JoinNewService`

    - #### getRootVO

          public VO getRootVO()

      return the root org
      Specified by:
        `getRootVO` in interface `JoinNewService`

    - #### getSelectedRE

          public ResearchEnvironment getSelectedRE()

      return the current selected VRE
      Specified by:
        `getSelectedRE` in interface `JoinNewService`

    - #### isLayoutLoaded

          public Boolean isLayoutLoaded()

      the first method to call
      Specified by:
        `isLayoutLoaded` in interface `JoinNewService`

    - #### loadLayout

          public void loadLayout(String scope,
                        String URL)

      Specified by:
        `loadLayout` in interface `JoinNewService`
      Parameters:
        `scope` -

Copyright © 2015. All Rights Reserved.